#
# spec file for package rubygem-dalli
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-dalli
Version:        2.7.10
Release:        lp151.1.1
%define mod_name dalli
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/petergoldstein/dalli
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        High performance memcached client for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
High performance memcached client for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="History.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.7.10
  see installed History.md
  2.7.10
  ==========
  - Revert frozen string change (schneems)
  - Advertise supports_cached_versioning? in DalliStore (schneems)
  - Better detection of fork support, to allow specs to run under Truffle Ruby
  - Update logging for over max size to log as error
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.7.9
  see installed History.md
  2.7.9
  ==========
  - Fix behavior for Rails 5.2+ cache_versioning (GriwMF)
  - Ensure fetch provides the key to the fallback block as an argument (0exp)
  - Assorted performance improvements (schneems)
* Wed Apr 11 2018 factory-auto@kulow.org
- updated to version 2.7.8
  see installed History.md
  2.7.8
  ==========
  - Rails 5.2 compatibility (pbougie)
  - Fix Session Cache compatibility (pixeltrix)
  2.7.7
  ==========
  - Support large cache keys on fetch multi (sobrinho)
  - Not found checks no longer trigger the result's equality method (dannyfallon)
  - Use SVG build badges (olleolleolle)
  - Travis updates (junaruga, tiarly, petergoldstein)
  - Update default down_retry_delay (jaredhales)
  - Close kgio socket after IO.select timeouts
  - Documentation updates (tipair)
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 2.7.7
  see installed History.md
  - Instrument DalliStore errors with instrument_errors configuration option. (btatnall)
* Sun Feb 14 2016 coolo@suse.com
- updated to version 2.7.6
  see installed History.md
  2.7.6
  ==========
  - Rails 5.0.0.beta2 compatibility (yui-knk, petergoldstein)
  - Add cas!, a variant of the #cas method that yields to the block whether or not the key already exist (mwpastore)
  - Performance improvements (nateberkopec)
  - Add Ruby 2.3.0 to support matrix (tricknotes)
* Thu Dec 17 2015 coolo@suse.com
- updated to version 2.7.5
  see installed History.md
  2.7.5
  ==========
  - Support rcvbuff and sndbuff byte configuration. (btatnall)
  - Add `:cache_nils` option to support nil values in `DalliStore#fetch` and `Dalli::Client#fetch` (wjordan, #559)
  - Log retryable server errors with 'warn' instead of 'info' (phrinx)
  - Fix timeout issue with Dalli::Client#get_multi_yielder (dspeterson)
  - Escape namespaces with special regexp characters (Steven Peckins)
  - Ensure LocalCache supports the `:raw` option and Entry unwrapping (sj26)
  - Ensure bad ttl values don't cause Dalli::RingError (eagletmt, petergoldstein)
  - Always pass namespaced key to instrumentation API (kaorimatz)
  - Replace use of deprecated TimeoutError with Timeout::Error (eagletmt)
  - Clean up gemspec, and use Bundler for loading (grosser)
  - Dry up local cache testing (grosser)
* Wed Mar 18 2015 coolo@suse.com
- updated to version 2.7.4
* Sun Mar 15 2015 coolo@suse.com
- updated to version 2.7.3
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon May 26 2014 coolo@suse.com
- updated to version 2.7.2
  - Rack session will check if servers are up on initialization (arthurnn, #423)
  - Add support for IPv6 addresses in hex form, ie: "[::1]:11211" (dplummer, #428)
  - Add symbol support for namespace (jingkai #431)
  - Support expiration intervals longer than 30 days (leonid-shevtsov #436)
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.7.0
  - Multithreading support with dalli\_store:
  Use :pool\_size to create a pool of shared, threadsafe Dalli clients in Rails:
  ```ruby
    config.cache_store = :dalli_store, "cache-1.example.com", "cache-2.example.com", :compress => true, :pool_size => 5, :expires_in => 300
  ```
  This will ensure the Rails.cache singleton does not become a source of contention.
  * *PLEASE NOTE** Rails's :mem\_cache\_store does not support pooling as of
  Rails 4.0.  You must use :dalli\_store.
  - Implement `version` for retrieving version of connected servers [dterei, #384]
  - Implement `fetch_multi` for batched read/write [sorentwo, #380]
  - Add more support for safe updates with multiple writers: [philipmw, #395]
  `require 'dalli/cas/client'` augments Dalli::Client with the following methods:
  * Get value with CAS:            `[value, cas] = get_cas(key)`
    `get_cas(key) {|value, cas| ...}`
  * Get multiple values with CAS:  `get_multi_cas(k1, k2, ...) {|value, metadata| cas = metadata[:cas]}`
  * Set value with CAS:            `new_cas = set_cas(key, value, cas, ttl, options)`
  * Replace value with CAS:        `replace_cas(key, new_value, cas, ttl, options)`
  * Delete value with CAS:         `delete_cas(key, cas)`
  - Fix bug with get key with "Not found" value [uzzz, #375]
* Wed May 29 2013 coolo@suse.com
- updated to version 2.6.4
  - Fix ADD command, aka `write(unless_exist: true)` (pitr, #365)
  - Upgrade test suite from mini_shoulda to minitest.
  - Even more performance improvements for get\_multi (xaop, #331)
* Wed May  8 2013 coolo@suse.com
- updated to version 2.6.3
  - Support specific stats by passing `:items` or `:slabs` to `stats` method [bukhamseen]
  - Fix 'can't modify frozen String' errors in `ActiveSupport::Cache::DalliStore` [dblock]
  - Protect against objects with custom equality checking [theron17]
  - Warn if value for key is too large to store [locriani]
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.6.2
  - Properly handle missing RubyInline
  - Add optional native C binary search for ring, add:
  gem 'RubyInline'
  to your Gemfile to get a 10%% speedup when using many servers.
  You will see no improvement if you are only using one server.
  - More get_multi performance optimization [xaop, #315]
  - Add lambda support for cache namespaces [joshwlewis, #311]
* Sat Dec 15 2012 coolo@suse.com
- updated to version 2.6.0
  - read_multi optimization, now checks local_cache [chendo, #306]
  - Re-implement get_multi to be non-blocking [tmm1, #295]
  - Add `dalli` accessor to dalli_store to access the underlying
  Dalli::Client, for things like `get_multi`.
  - Add `Dalli::GzipCompressor`, primarily for compatibility with nginx's HttpMemcachedModule using `memcached_gzip_flag`
* Wed Nov 14 2012 coolo@suse.com
- updated to version 2.5.0
  - Don't escape non-ASCII keys, memcached binary protocol doesn't care. [#257]
  - :dalli_store now implements LocalCache [#236]
  - Removed lots of old session_store test code, tests now all run without a default memcached server [#275]
  - Changed Dalli ActiveSupport adapter to always attempt instrumentation [brianmario, #284]
  - Change write operations (add/set/replace) to return false when value is too large to store [brianmario, #283]
  - Added the ability to swap out the compressed used to [de]compress cache data [brianmario, #276]
  - Fix get\_multi performance issues with lots of memcached servers [tmm1]
  - Throw more specific exceptions [tmm1]
* Mon Oct 29 2012 coolo@suse.com
- updated to version 2.3.0
  - Added the ability to swap out the serializer used to [de]serialize cache data [brianmario, #274]
* Thu Sep  6 2012 coolo@suse.com
- updated to version 2.2.1
  - Fix issues with ENV-based connections. [#266]
  - Fix problem with SessionStore in Rails 4.0 [#265]
* Tue Sep  4 2012 coolo@suse.com
- updated to version 2.2.0
  - Add Rack session with\_lock helper, for Rails 4.0 support [#264]
  - Accept connection string in the form of a URL (e.g., memcached://user:pass@hostname:port) [glenngillen]
  - Add touch operation [#228, uzzz]
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.1.0
* Wed Jul 27 2011 fcastelli@novell.com
- Initial package (v1.0.5)
